"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Delete = void 0;
const tslib_1 = require("tslib");
const free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
const Delete_1 = require("@reactionable/core/lib/crud/delete/Delete");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const icon_1 = require("../../icon/icon");
function Delete(_a) {
    var { label, icon = { icon: free_solid_svg_icons_1.faTrashAlt } } = _a, props = tslib_1.__rest(_a, ["label", "icon"]);
    return (react_1.default.createElement(Delete_1.Delete, Object.assign({}, props),
        react_1.default.createElement(Button_1.default, { variant: "danger", title: props.title || "" },
            icon && react_1.default.createElement(icon_1.Icon, Object.assign({ className: label ? "mr-2" : "" }, icon)),
            label)));
}
exports.Delete = Delete;
//# sourceMappingURL=Delete.js.map