"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListTable = exports.ListTableComponent = void 0;
const tslib_1 = require("tslib");
const ListTable_1 = require("@reactionable/core/lib/crud/list/ListTable");
const react_1 = tslib_1.__importDefault(require("react"));
const Table_1 = tslib_1.__importDefault(require("react-bootstrap/Table"));
function ListTableComponent(_a) {
    var { head } = _a, bodyProps = tslib_1.__rest(_a, ["head"]);
    return (react_1.default.createElement(Table_1.default, { striped: true, bordered: true, hover: true, responsive: true },
        react_1.default.createElement(ListTable_1.ListTableHead, { head: head }),
        react_1.default.createElement(ListTable_1.ListTableBody, Object.assign({}, bodyProps))));
}
exports.ListTableComponent = ListTableComponent;
function ListTable(props) {
    return react_1.default.createElement(ListTable_1.ListTable, Object.assign({ Component: ListTableComponent }, props));
}
exports.ListTable = ListTable;
//# sourceMappingURL=ListTable.js.map