"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAlert = exports.Alert = void 0;
const tslib_1 = require("tslib");
const useAlert_1 = require("@reactionable/core/lib/ui/alert/useAlert");
const react_1 = tslib_1.__importDefault(require("react"));
const Alert_1 = tslib_1.__importDefault(require("react-bootstrap/Alert"));
const icon_1 = require("../icon/icon");
const Alert = (_a) => {
    var { children, icon } = _a, props = tslib_1.__rest(_a, ["children", "icon"]);
    return (react_1.default.createElement(Alert_1.default, Object.assign({}, props),
        icon && react_1.default.createElement(icon_1.Icon, Object.assign({ className: "mr-2" }, icon)),
        children));
};
exports.Alert = Alert;
const useAlert = (props) => {
    return useAlert_1.useAlert(Object.assign({ Component: exports.Alert }, props));
};
exports.useAlert = useAlert;
//# sourceMappingURL=Alert.js.map