import { IFormData, IFormValues } from "@reactionable/core/lib/form/Form";
import { IUseFormProps as ICoreUseFormProps } from "@reactionable/core/lib/form/useForm";
import { ReactElement } from "react";
import { IFormButtonProps } from "./FormButton";
export declare type IUseFormProps<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps> = ICoreUseFormProps<Values, Data, FormButtonProps>;
export declare function useForm<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps>(props: IUseFormProps<Values, Data, FormButtonProps>): ReactElement;
