"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLayout = void 0;
const Layout_1 = require("@reactionable/core/lib/ui/layout/Layout");
const Body_1 = require("./body/Body");
const Footer_1 = require("./footer/Footer");
const Header_1 = require("./header/Header");
function useLayout(props) {
    return Layout_1.useLayout(Object.assign(Object.assign({}, props), { HeaderComponent: Header_1.Header, BodyComponent: Body_1.Body, FooterComponent: Footer_1.Footer }));
}
exports.useLayout = useLayout;
//# sourceMappingURL=Layout.js.map