"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Footer = void 0;
const tslib_1 = require("tslib");
const Footer_1 = require("@reactionable/core/lib/ui/layout/footer/Footer");
const react_1 = tslib_1.__importDefault(require("react"));
const Col_1 = tslib_1.__importDefault(require("react-bootstrap/Col"));
const Container_1 = tslib_1.__importDefault(require("react-bootstrap/Container"));
const Row_1 = tslib_1.__importDefault(require("react-bootstrap/Row"));
function Footer(_a) {
    var { brand, sponsor = true } = _a, footerProps = tslib_1.__rest(_a, ["brand", "sponsor"]);
    footerProps.style = Object.assign({ position: "absolute", bottom: 0, width: "100%", height: "60px", lineHeight: "60px" }, footerProps.style);
    return (react_1.default.createElement("footer", Object.assign({}, footerProps),
        react_1.default.createElement(Container_1.default, null,
            react_1.default.createElement(Row_1.default, { className: "justify-content-between" },
                react_1.default.createElement(Col_1.default, null,
                    react_1.default.createElement(Footer_1.CopyrightFooter, { brand: brand })),
                sponsor && (react_1.default.createElement(Col_1.default, { className: "text-right" },
                    react_1.default.createElement(Footer_1.SponsorFooter, null)))))));
}
exports.Footer = Footer;
//# sourceMappingURL=Footer.js.map