"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useModal = exports.Modal = void 0;
const tslib_1 = require("tslib");
const Modal_1 = require("@reactionable/core/lib/ui/modal/Modal");
const react_1 = tslib_1.__importDefault(require("react"));
const Modal_2 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
const Modal = (_a) => {
    var { title, children, body, footer, onHide } = _a, modalProps = tslib_1.__rest(_a, ["title", "children", "body", "footer", "onHide"]);
    const handleOnClose = () => {
        onHide && onHide();
    };
    return (react_1.default.createElement(Modal_2.default, Object.assign({ centered: true, backdrop: "static", onHide: handleOnClose }, modalProps),
        react_1.default.createElement(Modal_2.default.Header, { closeButton: true },
            react_1.default.createElement(Modal_2.default.Title, null, title)),
        children,
        body && react_1.default.createElement(Modal_2.default.Body, null, body),
        footer && react_1.default.createElement(Modal_2.default.Footer, null, footer)));
};
exports.Modal = Modal;
function useModal(props) {
    return Modal_1.useModal(Object.assign({ Component: exports.Modal }, props));
}
exports.useModal = useModal;
//# sourceMappingURL=Modal.js.map