"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NavItems = exports.NavItem = void 0;
const tslib_1 = require("tslib");
const NavItem_1 = require("@reactionable/core/lib/nav/NavItem");
const react_1 = tslib_1.__importDefault(require("react"));
const NavLink_1 = tslib_1.__importDefault(require("react-bootstrap/NavLink"));
const icon_1 = require("../icon/icon");
function NavItem(_a) {
    var { icon, href, children } = _a, linkProps = tslib_1.__rest(_a, ["icon", "href", "children"]);
    if (!linkProps.title && typeof children === "string") {
        const title = children;
        linkProps.title = title;
    }
    if (icon) {
        children = (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(icon_1.Icon, Object.assign({}, icon)),
            " ",
            children));
    }
    return (react_1.default.createElement(NavItem_1.NavItem, { href: href },
        react_1.default.createElement(NavLink_1.default, Object.assign({}, linkProps), children)));
}
exports.NavItem = NavItem;
function NavItems(props) {
    return react_1.default.createElement(NavItem_1.NavItems, Object.assign({ Component: NavItem }, props));
}
exports.NavItems = NavItems;
//# sourceMappingURL=NavItem.js.map