import { IErrorNotificationProps as ICoreErrorNotificationProps, IUseErrorNotificationProps as ICoreUseErrorNotificationProps, IUseErrorNotificationResult } from "@reactionable/core/lib/ui/notification/ErrorNotification";
import { PropsWithChildren, ReactElement } from "react";
export declare type IErrorNotificationProps = ICoreErrorNotificationProps;
export declare const ErrorNotification: ({ title, children, ...props }: PropsWithChildren<IErrorNotificationProps>) => ReactElement;
export declare type IUseErrorNotificationProps = ICoreUseErrorNotificationProps & IErrorNotificationProps;
export declare const useErrorNotification: (props: IErrorNotificationProps) => IUseErrorNotificationResult;
